/**
 * ScandiPWA - Progressive Web App for Magento
 *
 * Copyright © Scandiweb, Inc. All rights reserved.
 * See LICENSE for license details.
 *
 * @license OSL-3.0 (Open Software License ("OSL") v. 3.0)
 * @package scandipwa/base-theme
 * @link https://github.com/scandipwa/base-theme
 */

* {
    box-sizing: border-box;
    padding: 0;
    border: 0;
    margin: 0;
    position: relative;
    vertical-align: baseline;
    outline: 0;
    font-family: inherit;
    -webkit-font-smoothing: antialiased;
    -moz-osx-font-smoothing: grayscale;
    // backface-visibility: hidden;
    text-rendering: optimizeLegibility;
    text-shadow: 1px 1px 1px rgba(0, 0, 0, 0.004);
    letter-spacing: 0.2px;
    -webkit-tap-highlight-color: transparent;
}

article,
aside,
details,
figcaption,
figure,
footer,
header,
hgroup,
menu,
nav,
section,
label,
summary {
    display: block;
}

main {
    min-height: calc(100vh - var(--header-height) - var(--footer-height) - var(--breadcrumbs-height));
    max-width: 100vw;

    @include mobile {
        // min-height: calc(100vh - var(--header-height) - var(--navigation-tabs-height));
        min-height: 0;
        margin-top: var(--header-height);
        margin-bottom: var(--navigation-tabs-height);
    }
}

table {
    margin-bottom: 1.2rem;
    table-layout: fixed;
    border-collapse: collapse;
    border-spacing: 0;
}

img {
    width: 100%;
}

html {
    font-size: $font-standard-size;

    @include mobile {
        font-size: $font-mobile-size;
    }
}

body {
    color: $black;
    background-color: #fff;
    font-family: $font-work-sans;
    scroll-behavior: smooth;
    scrollbar-width: none;
}

a {
    color: $black;
    text-decoration: inherit;

    &:hover {
        cursor: pointer;
    }
}

h1 {
    font-family: $font-rifton;
    font-size: 2.5rem;
    font-weight: normal;

    @include mobile {
        font-size: 2rem;
    }

    + h2,
    + h3,
    + h4 {
        margin-top: 0.6rem;
    }
}

h2 {
    margin-top: 1.8rem;
    margin-bottom: 1.5rem;
    font-family: $font-rifton;
    font-size: 20px;
    font-weight: bold;
    text-transform: uppercase;

    + h3,
    + h4 {
        margin-top: 0.6rem;
        margin-bottom: 0.6rem;
        top: -0.9rem;
    }
}

h3 {
    margin-top: 1.8rem;
    margin-bottom: 1.5rem;
    font-family: $font-rifton;
    font-size: 1.5rem;

    + h4 {
        margin-top: 0.6rem;
        margin-bottom: 0.6rem;
        top: -0.9rem;
    }
}

h4,
p,
li,
dl,
button {
    font-size: 14px;
}

h4 {
    font-weight: 500;
}

li {
    margin-bottom: 6px;
    list-style-type: none;
    list-style-position: inside;

    ol & {
        counter-increment: list;
    }

    &:last-child {
        margin-bottom: 20px;
    }
}

p {
    margin-bottom: 1.2rem;
    line-height: 1.8;

    &:last-of-type {
        margin-bottom: 0;
    }
}

input,
select {
    min-width: 4rem;
    min-height: 2rem;
    font-size: 1.1rem;

    @include mobile {
        font-size: 14px;
    }
}

select {
    border-radius: 0;
    appearance: none;
}

button {
    cursor: pointer;

    @include mobile {
        user-select: none;
    }
}

textarea {
    resize: none;

    @include mobile {
        font-size: 16px;
    }
}

mark {
    margin-right: 5px;
}

::-webkit-scrollbar {
    display: none;
}

iframe {
    max-width: 100%;
}

a,
input,
button,
textarea,
select,
details {
    @include mobile {
        touch-action: manipulation;
    }
}

input {
    border-radius: 0;
}
